cURL
curl --request GET \ --url https://api.messari.io/metrics/v1/exchanges/{entityIdentifier}/metrics/{datasetSlug}/time-series \ --header 'X-Messari-API-Key: <api-key>'
{ "error": null, "data": { "points": [ [ 1748736000, 42522347, 9216853399.631496 ], [ 1748822400, 49639718, 13496478083.937649 ], [ 1748908800, 49929928, 14503394750.363638 ], [ 1748995200, 42680039, 13154648940.668606 ], [ 1749081600, 62562278, 21404240391.30481 ] ] }, "metadata": { "pointSchemas": [ { "name": "Timestamp", "slug": "time", "description": "Timestamp of the data point.", "is_timestamp": true }, { "name": "Trade Count", "slug": "trade-count", "description": "Trade count during the candle.", "is_timestamp": false }, { "name": "Volume", "slug": "volume", "description": "Volume traded during candle.", "is_timestamp": false } ], "granularity": "1d" } }
Retrieve a specific exchange’s timeseries data
Entity ID or slug
"binance"
Dataset slug
volume
futures-volume
futures-open-interest
"volume"
Time range start
"2025-06-01T00:00:00Z"
Time range end
"2025-06-07T00:00:00Z"
Default response
Show child attributes